import ari
import logging
from requests import HTTPError

logging.basicConfig(level=logging.INFO)

client = ari.connect(base_url='http://asterisk:5039', username='username', password='password')

channel = client.channels.list()[0]
channel.answer()

for _ in range(1000):
    client.channels.play(
        channelId=channel.id,
        media='some:thing',
        playbackId='someid',
    )

    for _ in range(1000):
        try:
            client.playbacks.get(playbackId='someid')
        except HTTPError as e:
            if e.response.status_code == 404:
                break
            raise
